## plasma-gmailfeed 1.1

=== CMakeLists.txt ===
project(gmailfeed)

cmake_minimum_required(VERSION 2.8.12)

set(QT_MIN_VERSION "5.3.0")
set(KF5_MIN_VERSION "5.0.0")

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Quick)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Plasma)

plasma_install_package(package org.kde.plasma.gmailfeed)
 
add_subdirectory( plugin )
add_subdirectory( icons )

install(FILES gmailfeed.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

add_subdirectory( po )

=== icons/CMakeLists.txt ===
include(ECMInstallIcons)
    
ecm_install_icons(ICONS
    hisc-apps-gmailfeed.svgz
    THEME hicolor
    DESTINATION ${ICON_INSTALL_DIR} )

=== plugin/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_applet_org.kde.plasma.gmailfeed")
option (USE_QT5 "Use Qt5 instead of Qt4" ON)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Network)
find_package(KF5Notifications)

set(gmailfeedplugin_SRCS
    gmailfeedplugin.cpp
    networkstatus.cpp
    notification.cpp
)

install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/gmailfeed)
add_library(gmailfeedplugin SHARED ${gmailfeedplugin_SRCS})

target_link_libraries(gmailfeedplugin
                        Qt5::Quick
                        Qt5::Network
                        KF5::Notifications
                        )

install(TARGETS gmailfeedplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/gmailfeed)

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
        MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
        SET(catalogname plasma_applet_org.kde.plasma.gmailfeed)
 
        ADD_CUSTOM_TARGET(translations ALL)
 
        FILE(GLOB PO_FILES ${catalogname}*.po)
 
        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
 
                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
 
                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )
 
        ENDFOREACH(_poFile ${PO_FILES})
 
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== debian/changelog ===
plasma-gmailfeed (1.1-2) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Fix fallacious long description.  Gmail Feed is not an IMAP4 xbiff
    that is artificially limited to Gmail servers--it uses an Atom feed.
    At present Gmail is the only provider of this method of checking for
    unread mail.
  * Update Vcs links.
  * Declare Standards-Version: 4.1.4. (No additional changes needed)

  [ Pino Toscano ]
  * Remove unused, and non-existing plasma-framework-dev build dependency.
    (Closes: #897089)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 04 May 2018 18:22:23 -0400

plasma-gmailfeed (1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #862933)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 23 Mar 2018 15:07:27 -0400

=== debian/control ===
Source: plasma-gmailfeed
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends:
 cmake (>= 2.8.12~),
 debhelper (>= 11~),
 extra-cmake-modules (>= 0.0.11~),
 libappstream-dev,
 libkf5notifications-dev,
 libkf5plasma-dev (>= 5.0.0~),
 qtbase5-dev (>= 5.3.0~),
 qtdeclarative5-dev,
Standards-Version: 4.1.4
Homepage: https://github.com/anthon38/gmailfeed
Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/plasma-gmailfeed.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/plasma-gmailfeed

Package: plasma-gmailfeed
Architecture: any
Depends: qml-module-qtquick-xmllistmodel, ${misc:Depends}, ${shlibs:Depends}
Description: plasmoid that shows your Gmail feed with notifications
 Gmail Feed is a lightweight plasmoid for Plasma 5.  It provides a
 list of unread emails from your Gmail inbox.  It also notifies you
 when new messages are received.
 .
 Essentially, it is an xbiff that uses an Atom feed rather than POP3
 or IMAP.  At this time it exclusively supports Gmail and does not
 support limiting the feed to labels or sections like Primary, Social,
 Promotions, or Forums.

## plasma-gmailfeed 1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 cmake_minimum_required(VERSION 2.8.12)
 
 set(QT_MIN_VERSION "5.3.0")
-set(KF5_MIN_VERSION "5.0.0")
+set(KF5_MIN_VERSION "5.9.0")
 
 find_package(ECM 0.0.11 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -14,6 +14,7 @@
 
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Quick)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Plasma)
+find_package(KF5I18n NO_MODULE)
 
 plasma_install_package(package org.kde.plasma.gmailfeed)

=== plugin/CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,43 @@
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Network)
 find_package(KF5Notifications)
 
+find_package(KAccounts REQUIRED)
+find_package(Intltool REQUIRED)
+set(ACCOUNTS_MIN_VERSION "1.13")
+find_package(AccountsQt5 ${ACCOUNTS_MIN_VERSION} REQUIRED CONFIG)
+include_directories(
+    ${ACCOUNTSQT_INCLUDE_DIRS}
+)
+
+# TODO: remove when depending on KDE Applications 15.08
+if (NOT DEFINED kaccounts_add_service)
+    include(../cmake/FindAccountsFileDir.cmake)
+
+    function(kaccounts_add_service service_file_in)
+        get_filename_component(service_filename ${service_file_in} NAME_WE)
+        set(service_file ${CMAKE_CURRENT_BINARY_DIR}/${service_filename}.service)
+        execute_process(COMMAND intltool-merge -x -u --no-translations ${service_file_in} ${service_file})
+        install(FILES ${service_file} DESTINATION ${ACCOUNTS_SERVICES_DIR})
+    endfunction()
+
+    function(kaccounts_add_provider provider_in_file)
+        get_filename_component(provider_filename ${provider_in_file} NAME_WE)
+        set(provider_file ${CMAKE_CURRENT_BINARY_DIR}/${provider_filename}.provider)
+        execute_process(COMMAND intltool-merge -x -u --no-translations ${provider_in_file} ${provider_file})
+        install(FILES ${provider_file} DESTINATION ${ACCOUNTS_PROVIDERS_DIR})
+    endfunction()
+
+endif ()
+
+kaccounts_add_service(${CMAKE_CURRENT_SOURCE_DIR}/gmail-feed.service.in)
+kaccounts_add_provider(${CMAKE_CURRENT_SOURCE_DIR}/google-gmail.provider.in)
+
 set(gmailfeedplugin_SRCS
     gmailfeedplugin.cpp
     networkstatus.cpp
     notification.cpp
+    account.cpp
+    accountsModel.cpp
 )
 
 install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/gmailfeed)
@@ -17,6 +50,7 @@
                         Qt5::Quick
                         Qt5::Network
                         KF5::Notifications
+                        KAccounts
                         )
 
 install(TARGETS gmailfeedplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/gmailfeed)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
                 STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
  
                 IF( _langCode )
-                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
+                        STRING(REGEX REPLACE "\\.po$" "" _lang ${_poFileName} )
                         SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
  
                         ADD_CUSTOM_COMMAND(TARGET translations

=== debian/changelog ===
plasma-gmailfeed (1.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:11:26 +1100

plasma-gmailfeed (1.2-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:26:41 +0000

plasma-gmailfeed (1.2-1) unstable; urgency=low

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Nicholas D Steeves ]
  * Declare Standards-Version: 4.5.1 (no changes required).

  [ Pino Toscano ]
  * New upstream release.
  * Update Vcs-* fields.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Add the configuration for the CI on salsa.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.9.0
    - add intltool, libkaccounts-dev, libkf5i18n-dev, and pkg-config
    - explicitly add gettext
  * Add needed runtime dependencies: qml-module-qtquick-controls,
    qml-module-qtquick-layouts, and qml-module-org-kde-kquickcontrolsaddons.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Jun 2022 22:29:51 +0200

=== debian/control ===
Source: plasma-gmailfeed
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends:
 cmake (>= 2.8.12~),
 debhelper-compat (= 13),
 extra-cmake-modules (>= 0.0.11~),
 gettext,
 intltool,
 libappstream-dev,
 libkaccounts-dev,
 libkf5i18n-dev,
 libkf5notifications-dev (>= 5.9.0~),
 libkf5plasma-dev (>= 5.9.0~),
 pkg-config,
 qtbase5-dev (>= 5.3.0~),
 qtdeclarative5-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/anthon38/gmailfeed
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/plasma-gmailfeed.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/plasma-gmailfeed

Package: plasma-gmailfeed
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 qml-module-org-kde-kquickcontrolsaddons,
 qml-module-qtquick-controls,
 qml-module-qtquick-layouts,
 qml-module-qtquick-xmllistmodel,
Description: plasmoid that shows your Gmail feed with notifications
 Gmail Feed is a lightweight plasmoid for Plasma 5.  It provides a
 list of unread emails from your Gmail inbox.  It also notifies you
 when new messages are received.
 .
 Essentially, it is an xbiff that uses an Atom feed rather than POP3
 or IMAP.  At this time it exclusively supports Gmail and does not
 support limiting the feed to labels or sections like Primary, Social,
 Promotions, or Forums.

## plasma-gmailfeed 2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(gmailfeed)

set(QT_MAJOR_VERSION 6)

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Quick Concurrent)
find_package(Plasma REQUIRED)
find_package(KF6I18n NO_MODULE)

plasma_install_package(package org.kde.plasma.gmailfeed)
 
add_subdirectory( plugin )
add_subdirectory( icons )

install(FILES gmailfeed.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

ki18n_install( po )

=== icons/CMakeLists.txt ===
include(ECMInstallIcons)
    
ecm_install_icons(
    ICONS sc-apps-gmailfeed.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== plugin/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_applet_org.kde.plasma.gmailfeed")

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Network Xml)
find_package(KF6Notifications)

find_package(KAccounts6 REQUIRED)
find_package(Intltool REQUIRED)
find_package(AccountsQt6 ${ACCOUNTS_MIN_VERSION} REQUIRED CONFIG)
include_directories(
    ${ACCOUNTSQT_INCLUDE_DIRS}
)

kaccounts_add_service(${CMAKE_CURRENT_SOURCE_DIR}/gmail-feed.service.in)
kaccounts_add_provider(${CMAKE_CURRENT_SOURCE_DIR}/google-gmail.provider.in)

set(gmailfeedplugin_SRCS
    gmailfeedplugin.cpp
    networkstatus.cpp
    account.cpp
    accountsModel.cpp
    gxmlModel.cpp
)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/gmailfeed)
add_library(gmailfeedplugin SHARED ${gmailfeedplugin_SRCS})

target_link_libraries(gmailfeedplugin
                        Qt6::Quick
                        Qt6::Network
                        Qt6::Concurrent
                        KF6::Notifications
                        KAccounts6
                        )

install(TARGETS gmailfeedplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/gmailfeed)

=== debian/changelog ===
plasma-gmailfeed (2.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Build with hardening=+all build hardening flag.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 01 Dec 2024 17:51:41 +0100

plasma-gmailfeed (2.0-1~exp1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake, extra-cmake-modules,
      libkf5notifications-dev, libkf5plasma-dev and qtbase5-dev.

  [ Nicholas D Steeves ]
  * Make this package Plasma 6-ready (Closes: #1079539):
    - New upstream release.
    - Migrate to Qt6 and Plasma 6 build-deps.
    - Add libsignon-qt6-dev build-dep.
    - Update long description.
  * Migrate to pkgconf.
  * Update my copyright years and email address.
  * Add 0001-fix-invalid-license-designation-format.patch.
  * Declare Standards-Version: 4.7.0 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 29 Nov 2024 18:37:45 -0500

=== debian/control ===
Source: plasma-gmailfeed
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Nicholas D Steeves <sten@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 intltool,
 libappstream-dev,
 libkaccounts6-dev,
 libkf6i18n-dev,
 libkf6notifications-dev,
 libplasma-dev,
 libsignon-qt6-dev,
 pkgconf,
 qt6-base-dev,
 qt6-declarative-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/anthon38/gmailfeed
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/plasma-gmailfeed.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/plasma-gmailfeed

Package: plasma-gmailfeed
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 qml-module-org-kde-kquickcontrolsaddons,
 qml-module-qtquick-controls,
 qml-module-qtquick-layouts,
 qml-module-qtquick-xmllistmodel,
Description: plasmoid that shows your Gmail feed with notifications
 Gmail Feed is a lightweight plasmoid for Plasma 6.  It provides a
 list of unread emails from your Gmail inbox.  It also notifies you
 when new messages are received.
 .
 Essentially, it is an xbiff that uses an Atom feed rather than POP3
 or IMAP.  At this time it exclusively supports Gmail and does not
 support limiting the feed to labels or sections like Primary, Social,
 Promotions, or Forums.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gmailfeed-$1\.tar\.gz/ \
  https://github.com/anthon38/gmailfeed/tags .*/v?(\d\S+)\.tar\.gz
